> ## Documentation Index
> Fetch the complete documentation index at: https://api.monument.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get facility details

> Retrieves detailed information about a specific facility



## OpenAPI

````yaml /openapi/shopping-openapi.json get /shopping/{portfolio}/v1/facilities/{facilityUuid}
openapi: 3.0.0
info:
  title: Monument Shopping API
  description: Monument Shopping API
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.prd.monument.io
    description: Production
  - url: https://public-api.stg.monument.io
    description: Staging
security: []
tags:
  - name: Facilities
    description: Facility listing, details, and configuration
  - name: Leads
    description: Lead creation, updates, status, and pre-existing tenant validation
  - name: Shopping Cart
    description: Cart operations and access plans
  - name: Unit Groups
    description: Unit group details and taxes
  - name: Units
    description: Unit and gate access code retrieval
  - name: Payments
    description: Payment profiles and processor information
  - name: Brands
    description: Branding configuration and brand-scoped facilities
  - name: Coverages
    description: Coverage options and private coverage info
  - name: Leases
    description: Lease signing redirects
  - name: Organizations
    description: Portfolio organization information
  - name: Lead Marketing Sources
    description: Marketing source listing
paths:
  /shopping/{portfolio}/v1/facilities/{facilityUuid}:
    get:
      tags:
        - Facilities
      summary: Get facility details
      description: Retrieves detailed information about a specific facility
      operationId: PublicApiFacilitiesController_getFacility
      parameters:
        - name: facilityUuid
          required: true
          in: path
          schema:
            type: string
        - in: header
          required: true
          name: x-api-key
          schema:
            example: monument-2230012-2312321
            description: >-
              Api key required to authenticate your request. Please reach out to
              monument for a key.
        - in: path
          required: true
          name: portfolio
          schema:
            example: abc_selfstorage
      responses:
        '200':
          description: Details of the requested facility
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicFacilityDto'
components:
  schemas:
    PublicFacilityDto:
      type: object
      properties:
        facilityUuid:
          type: string
        address:
          type: string
        phone:
          type: string
          nullable: true
        facilityName:
          type: string
        amenities:
          type: array
          items:
            type: string
        unitTypes:
          type: array
          items:
            type: string
        uniqueAreas:
          type: array
          items:
            type: number
        operatingHours:
          $ref: '#/components/schemas/OperatingHours'
        additionalInformation:
          type: string
          nullable: true
        minimumCurrentWebRateInPennies:
          type: number
        correspondingCurrentStreetRateInPennies:
          type: number
        rating:
          type: number
        latitude:
          type: string
          nullable: true
        longitude:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        publicThumbnailUuid:
          type: string
          nullable: true
        publicHeroImageUuid:
          type: string
          nullable: true
        facilityGateIntegrationVendorUuid:
          type: string
          nullable: true
        bestAutoAppliedPromotion:
          nullable: true
          description: Best auto-applied promotion for the facility
          allOf:
            - $ref: '#/components/schemas/EligibleAutoAppliedPromotionDto'
        brandOrganizationUuid:
          type: string
          nullable: true
          format: uuid
          description: >-
            First BRAND organization found when traversing up from the
            facility's direct organization. Present when listing facilities by
            brand.
      required:
        - facilityUuid
        - address
        - phone
        - facilityName
        - amenities
        - unitTypes
        - uniqueAreas
        - operatingHours
        - minimumCurrentWebRateInPennies
        - correspondingCurrentStreetRateInPennies
        - rating
        - latitude
        - longitude
        - email
    OperatingHours:
      type: object
      properties:
        Sun:
          $ref: '#/components/schemas/DailyWorkingHours'
        Mon:
          $ref: '#/components/schemas/DailyWorkingHours'
        Tues:
          $ref: '#/components/schemas/DailyWorkingHours'
        Wed:
          $ref: '#/components/schemas/DailyWorkingHours'
        Thurs:
          $ref: '#/components/schemas/DailyWorkingHours'
        Fri:
          $ref: '#/components/schemas/DailyWorkingHours'
        Sat:
          $ref: '#/components/schemas/DailyWorkingHours'
      required:
        - Sun
        - Mon
        - Tues
        - Wed
        - Thurs
        - Fri
        - Sat
    EligibleAutoAppliedPromotionDto:
      type: object
      properties:
        facilityUuid:
          type: string
          format: uuid
        unitGroupUuid:
          type: string
          format: uuid
        promotionUuid:
          type: string
          format: uuid
        promotionName:
          type: string
        highestDiscountAmount:
          type: number
      required:
        - facilityUuid
        - unitGroupUuid
        - promotionUuid
        - promotionName
        - highestDiscountAmount
    DailyWorkingHours:
      type: object
      properties:
        isOpen:
          type: boolean
        openTime:
          type: string
        closeTime:
          type: string
      required:
        - isOpen

````